<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>CONLLGraph</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CONLLGraph";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CONLLGraph.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" target="_top">Frames</a></li>
<li><a href="CONLLGraph.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.corpus.format</div>
<h2 title="Class CONLLGraph" class="title">Class CONLLGraph</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">fr.inria.alpage.frmgcm.corpus.AbstractGraph</a></li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.corpus.format.CONLLGraph</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">CONLLGraph</span>
extends <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#fileResource">fileResource</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#tokenLines">tokenLines</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.frmgcm.corpus.AbstractGraph">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;fr.inria.alpage.frmgcm.corpus.<a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></h3>
<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#formats">formats</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#graphRevision">graphRevision</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#parsedData">parsedData</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#tagsets">tagsets</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#CONLLGraph(fr.inria.alpage.frmgcm.gm.GraphRevision)">CONLLGraph</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a>&nbsp;gr)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#getContent()">getContent</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#getDepGraphData()">getDepGraphData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#getSentenceString()">getSentenceString</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#getSignature(java.lang.String)">getSignature</a></strong>(java.lang.String&nbsp;highlightings)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#indexSentenceContent(com.mongodb.BasicDBObject)">indexSentenceContent</a></strong>(com.mongodb.BasicDBObject&nbsp;json)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#parseFromStringData(java.lang.String)">parseFromStringData</a></strong>(java.lang.String&nbsp;data)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#restoreRevision()">restoreRevision</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#saveRevision(java.io.PrintWriter)">saveRevision</a></strong>(java.io.PrintWriter&nbsp;pw)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#setIDOffset(int)">setIDOffset</a></strong>(int&nbsp;offset)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_fr.inria.alpage.frmgcm.corpus.AbstractGraph">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;fr.inria.alpage.frmgcm.corpus.<a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></h3>
<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#Create(fr.inria.alpage.frmgcm.gm.GraphRevision,%20java.lang.String)">Create</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#getIndexedSentence(java.lang.String,%20java.lang.String)">getIndexedSentence</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#indexSentence(fr.inria.alpage.frmgcm.corpus.Document,%20java.lang.String,%20java.lang.String,%20boolean)">indexSentence</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#indexSentence(java.lang.String,%20java.lang.String,%20java.lang.String,%20boolean)">indexSentence</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#indexSentenceInfo(java.lang.String,%20java.lang.String,%20java.lang.String)">indexSentenceInfo</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#registerFeatureVal(java.lang.String,%20java.lang.String,%20java.lang.String,%20java.lang.String)">registerFeatureVal</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#saveRevision(fr.inria.alpage.frmgcm.corpus.Document,%20java.lang.Object[])">saveRevision</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#saveTagset()">saveTagset</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="tokenLines">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tokenLines</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt; tokenLines</pre>
</li>
</ul>
<a name="fileResource">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>fileResource</h4>
<pre>public&nbsp;java.lang.String fileResource</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CONLLGraph(fr.inria.alpage.frmgcm.gm.GraphRevision)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CONLLGraph</h4>
<pre>public&nbsp;CONLLGraph(<a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a>&nbsp;gr)
           throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="parseFromStringData(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseFromStringData</h4>
<pre>protected&nbsp;void&nbsp;parseFromStringData(java.lang.String&nbsp;data)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#parseFromStringData(java.lang.String)">parseFromStringData</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></dd>
</dl>
</li>
</ul>
<a name="setIDOffset(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIDOffset</h4>
<pre>public&nbsp;void&nbsp;setIDOffset(int&nbsp;offset)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#setIDOffset(int)">setIDOffset</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></dd>
</dl>
</li>
</ul>
<a name="indexSentenceContent(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexSentenceContent</h4>
<pre>public&nbsp;void&nbsp;indexSentenceContent(com.mongodb.BasicDBObject&nbsp;json)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#indexSentenceContent(com.mongodb.BasicDBObject)">indexSentenceContent</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></dd>
</dl>
</li>
</ul>
<a name="getSentenceString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentenceString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSentenceString()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#getSentenceString()">getSentenceString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></dd>
</dl>
</li>
</ul>
<a name="saveRevision(java.io.PrintWriter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveRevision</h4>
<pre>public&nbsp;boolean&nbsp;saveRevision(java.io.PrintWriter&nbsp;pw)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#saveRevision(java.io.PrintWriter)">saveRevision</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></dd>
</dl>
</li>
</ul>
<a name="restoreRevision()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restoreRevision</h4>
<pre>public&nbsp;java.lang.String&nbsp;restoreRevision()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#restoreRevision()">restoreRevision</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></dd>
</dl>
</li>
</ul>
<a name="getContent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContent</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getContent()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#getContent()">getContent</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></dd>
</dl>
</li>
</ul>
<a name="getDepGraphData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepGraphData</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getDepGraphData()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#getDepGraphData()">getDepGraphData</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></dd>
</dl>
</li>
</ul>
<a name="getSignature(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSignature</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSignature(java.lang.String&nbsp;highlightings)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#getSignature(java.lang.String)">getSignature</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CONLLGraph.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" target="_top">Frames</a></li>
<li><a href="CONLLGraph.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
